AetherDsl (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.resolve.maven.aether.config
[Groovy] Class AetherDsl

    java.lang.Object
      org.codehaus.groovy.grails.resolve.maven.aether.config.AetherDsl

    @groovy.transform.CompileStatic
    class AetherDsl

Core of the DSL for configuring Aether dependency resolution

Authors:
  Graeme Rocher

Since:
  2.3

Property Summary
`AetherDependencyManager` | `aetherDependencyManager`
`org.eclipse.aether.util.graph.selector.ExclusionDependencySelector` | `exclusionDependencySelector`
`org.eclipse.aether.DefaultRepositorySystemSession` | `session`

Constructor Summary
`AetherDsl(AetherDependencyManager dependencyManager)`

Method Summary
`void` | `cacheDir(java.io.File f)`
`void` | `cacheDir(java.lang.String f)`
`void` | `checksums(boolean enable)`
`void` | `checksums(java.lang.String checksumConfig)`
`org.eclipse.aether.repository.Authentication` | `credentials(groovy.lang.Closure c)` Sets up authentication for a repository
`void` | `dependencies(groovy.lang.Closure callable)`
`java.lang.Object` | `environments(groovy.lang.Closure callable)` Environment support
`void` | `inherits(java.lang.String name, groovy.lang.Closure customizer = null)`
`void` | `legacyResolve(boolean b)`
`void` | `log(java.lang.String level)`
`void` | `plugins(groovy.lang.Closure callable)`
`void` | `pom(boolean b)`
`void` | `repositories(groovy.lang.Closure callable)`
`void` | `useOrigin(boolean b)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### aetherDependencyManager

    AetherDependencyManager aetherDependencyManager

### exclusionDependencySelector

    org.eclipse.aether.util.graph.selector.ExclusionDependencySelector exclusionDependencySelector

### session

    @groovy.lang.Delegate
    org.eclipse.aether.DefaultRepositorySystemSession session

Constructor Detail

### AetherDsl

    AetherDsl(AetherDependencyManager dependencyManager)

Method Detail

### cacheDir

    void cacheDir(java.io.File f)

### cacheDir

    void cacheDir(java.lang.String f)

### checksums

    void checksums(boolean enable)

### checksums

    void checksums(java.lang.String checksumConfig)

### credentials

    org.eclipse.aether.repository.Authentication credentials(groovy.lang.Closure c)

  Sets up authentication for a repository
  Parameters:
    `c` - The credentials
  Returns:
    The Authentication instance

### dependencies

    void dependencies(groovy.lang.Closure callable)

### environments

    java.lang.Object environments(groovy.lang.Closure callable)

  Environment support
  Parameters:
    `callable` - The callable
  Returns:
    The result of the environments block

### inherits

    void inherits(java.lang.String name, groovy.lang.Closure customizer = null)

### legacyResolve

    @java.lang.Deprecated
    void legacyResolve(boolean b)

### log

    void log(java.lang.String level)

### plugins

    void plugins(groovy.lang.Closure callable)

### pom

    void pom(boolean b)

### repositories

    void repositories(groovy.lang.Closure callable)

### useOrigin

    void useOrigin(boolean b)

Groovy Documentation